From: Jochen Sprickerhof <git@jochen.sprickerhof.de>
Date: Mon, 14 Dec 2020 11:28:31 +0100
Subject: Switch to new boost/bind/bind.hpp

---
 image_transport/include/image_transport/image_transport.h         | 8 ++++----
 image_transport/include/image_transport/simple_publisher_plugin.h | 8 ++++----
 .../include/image_transport/simple_subscriber_plugin.h            | 2 +-
 image_transport/include/image_transport/subscriber_filter.h       | 2 +-
 image_transport/include/image_transport/subscriber_plugin.h       | 4 ++--
 image_transport/src/camera_subscriber.cpp                         | 2 +-
 image_transport/src/publisher.cpp                                 | 2 +-
 image_transport/src/republish.cpp                                 | 4 ++--
 polled_camera/include/polled_camera/publication_server.h          | 4 ++--
 polled_camera/src/publication_server.cpp                          | 2 +-
 10 files changed, 19 insertions(+), 19 deletions(-)

diff --git a/image_transport/include/image_transport/image_transport.h b/image_transport/include/image_transport/image_transport.h
index 9a542e6..e20e1f8 100644
--- a/image_transport/include/image_transport/image_transport.h
+++ b/image_transport/include/image_transport/image_transport.h
@@ -97,7 +97,7 @@ public:
                        void(T::*fp)(const sensor_msgs::ImageConstPtr&), T* obj,
                        const TransportHints& transport_hints = TransportHints())
   {
-    return subscribe(base_topic, queue_size, boost::bind(fp, obj, _1), ros::VoidPtr(), transport_hints);
+    return subscribe(base_topic, queue_size, boost::bind(fp, obj, boost::placeholders::_1), ros::VoidPtr(), transport_hints);
   }
 
   /**
@@ -109,7 +109,7 @@ public:
                        const boost::shared_ptr<T>& obj,
                        const TransportHints& transport_hints = TransportHints())
   {
-    return subscribe(base_topic, queue_size, boost::bind(fp, obj.get(), _1), obj, transport_hints);
+    return subscribe(base_topic, queue_size, boost::bind(fp, obj.get(), boost::placeholders::_1), obj, transport_hints);
   }
 
   /*!
@@ -162,7 +162,7 @@ public:
                                                 const sensor_msgs::CameraInfoConstPtr&), T* obj,
                                    const TransportHints& transport_hints = TransportHints())
   {
-    return subscribeCamera(base_topic, queue_size, boost::bind(fp, obj, _1, _2), ros::VoidPtr(),
+    return subscribeCamera(base_topic, queue_size, boost::bind(fp, obj, boost::placeholders::_1, boost::placeholders::_2), ros::VoidPtr(),
                            transport_hints);
   }
 
@@ -177,7 +177,7 @@ public:
                                    const boost::shared_ptr<T>& obj,
                                    const TransportHints& transport_hints = TransportHints())
   {
-    return subscribeCamera(base_topic, queue_size, boost::bind(fp, obj.get(), _1, _2), obj,
+    return subscribeCamera(base_topic, queue_size, boost::bind(fp, obj.get(), boost::placeholders::_1, boost::placeholders::_2), obj,
                            transport_hints);
   }
 
diff --git a/image_transport/include/image_transport/simple_publisher_plugin.h b/image_transport/include/image_transport/simple_publisher_plugin.h
index 691d2ed..352c58b 100644
--- a/image_transport/include/image_transport/simple_publisher_plugin.h
+++ b/image_transport/include/image_transport/simple_publisher_plugin.h
@@ -185,9 +185,9 @@ private:
   ros::SubscriberStatusCallback bindCB(const SubscriberStatusCallback& user_cb,
                                        SubscriberStatusMemFn internal_cb_fn)
   {
-    ros::SubscriberStatusCallback internal_cb = boost::bind(internal_cb_fn, this, _1);
+    ros::SubscriberStatusCallback internal_cb = boost::bind(internal_cb_fn, this, boost::placeholders::_1);
     if (user_cb)
-      return boost::bind(&SimplePublisherPlugin::subscriberCB, this, _1, user_cb, internal_cb);
+      return boost::bind(&SimplePublisherPlugin::subscriberCB, this, boost::placeholders::_1, user_cb, internal_cb);
     else
       return internal_cb;
   }
@@ -209,7 +209,7 @@ private:
     // messages of the transport-specific type.
     typedef void (SimplePublisherPlugin::*PublishMemFn)(const sensor_msgs::Image&, const PublishFn&) const;
     PublishMemFn pub_mem_fn = &SimplePublisherPlugin::publish;
-    ImagePublishFn image_publish_fn = boost::bind(pub_mem_fn, this, _1, bindInternalPublisher(ros_ssp));
+    ImagePublishFn image_publish_fn = boost::bind(pub_mem_fn, this, boost::placeholders::_1, bindInternalPublisher(ros_ssp));
     
     SingleSubscriberPublisher ssp(ros_ssp.getSubscriberName(), getTopic(),
                                   boost::bind(&SimplePublisherPlugin::getNumSubscribers, this),
@@ -231,7 +231,7 @@ private:
     // Bind PubT::publish(const Message&) as PublishFn
     typedef void (PubT::*InternalPublishMemFn)(const M&) const;
     InternalPublishMemFn internal_pub_mem_fn = &PubT::publish;
-    return boost::bind(internal_pub_mem_fn, &pub, _1);
+    return boost::bind(internal_pub_mem_fn, &pub, boost::placeholders::_1);
   }
 };
 
diff --git a/image_transport/include/image_transport/simple_subscriber_plugin.h b/image_transport/include/image_transport/simple_subscriber_plugin.h
index dd6ea3c..b0400ad 100644
--- a/image_transport/include/image_transport/simple_subscriber_plugin.h
+++ b/image_transport/include/image_transport/simple_subscriber_plugin.h
@@ -109,7 +109,7 @@ protected:
     simple_impl_.reset(new SimpleSubscriberPluginImpl(param_nh));
 
     simple_impl_->sub_ = nh.subscribe<M>(getTopicToSubscribe(base_topic), queue_size,
-                                         boost::bind(&SimpleSubscriberPlugin::internalCallback, this, _1, callback),
+                                         boost::bind(&SimpleSubscriberPlugin::internalCallback, this, boost::placeholders::_1, callback),
                                          tracked_object, transport_hints.getRosHints());
   }
 
diff --git a/image_transport/include/image_transport/subscriber_filter.h b/image_transport/include/image_transport/subscriber_filter.h
index 3d5be7b..356a729 100644
--- a/image_transport/include/image_transport/subscriber_filter.h
+++ b/image_transport/include/image_transport/subscriber_filter.h
@@ -107,7 +107,7 @@ public:
   {
     unsubscribe();
 
-    sub_ = it.subscribe(base_topic, queue_size, boost::bind(&SubscriberFilter::cb, this, _1),
+    sub_ = it.subscribe(base_topic, queue_size, boost::bind(&SubscriberFilter::cb, this, boost::placeholders::_1),
                         ros::VoidPtr(), transport_hints);
   }
 
diff --git a/image_transport/include/image_transport/subscriber_plugin.h b/image_transport/include/image_transport/subscriber_plugin.h
index 4601dc9..97bc58b 100644
--- a/image_transport/include/image_transport/subscriber_plugin.h
+++ b/image_transport/include/image_transport/subscriber_plugin.h
@@ -88,7 +88,7 @@ public:
                  void(T::*fp)(const sensor_msgs::ImageConstPtr&), T* obj,
                  const TransportHints& transport_hints = TransportHints())
   {
-    return subscribe(nh, base_topic, queue_size, boost::bind(fp, obj, _1), ros::VoidPtr(), transport_hints);
+    return subscribe(nh, base_topic, queue_size, boost::bind(fp, obj, boost::placeholders::_1), ros::VoidPtr(), transport_hints);
   }
 
   /**
@@ -100,7 +100,7 @@ public:
                  const boost::shared_ptr<T>& obj,
                  const TransportHints& transport_hints = TransportHints())
   {
-    return subscribe(nh, base_topic, queue_size, boost::bind(fp, obj.get(), _1), obj, transport_hints);
+    return subscribe(nh, base_topic, queue_size, boost::bind(fp, obj.get(), boost::placeholders::_1), obj, transport_hints);
   }
 
   /**
diff --git a/image_transport/src/camera_subscriber.cpp b/image_transport/src/camera_subscriber.cpp
index a91a14e..fde728f 100644
--- a/image_transport/src/camera_subscriber.cpp
+++ b/image_transport/src/camera_subscriber.cpp
@@ -111,7 +111,7 @@ CameraSubscriber::CameraSubscriber(ImageTransport& image_it, ros::NodeHandle& in
   impl_->info_sub_ .subscribe(info_nh, info_topic, queue_size, transport_hints.getRosHints());
   impl_->sync_.connectInput(impl_->image_sub_, impl_->info_sub_);
   // need for Boost.Bind here is kind of broken
-  impl_->sync_.registerCallback(boost::bind(callback, _1, _2));
+  impl_->sync_.registerCallback(boost::bind(callback, boost::placeholders::_1, boost::placeholders::_2));
 
   // Complain every 10s if it appears that the image and info topics are not synchronized
   impl_->image_sub_.registerCallback(boost::bind(increment, &impl_->image_received_));
diff --git a/image_transport/src/publisher.cpp b/image_transport/src/publisher.cpp
index ebf44bd..88d2648 100644
--- a/image_transport/src/publisher.cpp
+++ b/image_transport/src/publisher.cpp
@@ -208,7 +208,7 @@ SubscriberStatusCallback Publisher::rebindCB(const SubscriberStatusCallback& use
   if (user_cb)
   {
     ImplWPtr impl_wptr(impl_);
-    return boost::bind(&Publisher::weakSubscriberCb, impl_wptr, _1, user_cb);
+    return boost::bind(&Publisher::weakSubscriberCb, impl_wptr, boost::placeholders::_1, user_cb);
   }
   else
     return SubscriberStatusCallback();
diff --git a/image_transport/src/republish.cpp b/image_transport/src/republish.cpp
index 14fb276..72d06ca 100644
--- a/image_transport/src/republish.cpp
+++ b/image_transport/src/republish.cpp
@@ -58,7 +58,7 @@ int main(int argc, char** argv)
     // Use Publisher::publish as the subscriber callback
     typedef void (image_transport::Publisher::*PublishMemFn)(const sensor_msgs::ImageConstPtr&) const;
     PublishMemFn pub_mem_fn = &image_transport::Publisher::publish;
-    sub = it.subscribe(in_topic, 1, boost::bind(pub_mem_fn, &pub, _1), ros::VoidPtr(), in_transport);
+    sub = it.subscribe(in_topic, 1, boost::bind(pub_mem_fn, &pub, boost::placeholders::_1), ros::VoidPtr(), in_transport);
 
     ros::spin();
   }
@@ -77,7 +77,7 @@ int main(int argc, char** argv)
     // Use PublisherPlugin::publish as the subscriber callback
     typedef void (Plugin::*PublishMemFn)(const sensor_msgs::ImageConstPtr&) const;
     PublishMemFn pub_mem_fn = &Plugin::publish;
-    sub = it.subscribe(in_topic, 1, boost::bind(pub_mem_fn, pub.get(), _1), pub, in_transport);
+    sub = it.subscribe(in_topic, 1, boost::bind(pub_mem_fn, pub.get(), boost::placeholders::_1), pub, in_transport);
 
     ros::spin();
   }
diff --git a/polled_camera/include/polled_camera/publication_server.h b/polled_camera/include/polled_camera/publication_server.h
index 4bc3619..ebd0888 100644
--- a/polled_camera/include/polled_camera/publication_server.h
+++ b/polled_camera/include/polled_camera/publication_server.h
@@ -129,7 +129,7 @@ PublicationServer advertise(ros::NodeHandle& nh, const std::string& service,
                                          sensor_msgs::Image&, sensor_msgs::CameraInfo&),
                             T* obj)
 {
-  return advertise(nh, service, boost::bind(fp, obj, _1, _2, _3, _4));
+  return advertise(nh, service, boost::bind(fp, obj, boost::placeholders::_1, boost::placeholders::_2, boost::placeholders::_3, boost::placeholders::_4));
 }
 
 /**
@@ -142,7 +142,7 @@ PublicationServer advertise(ros::NodeHandle& nh, const std::string& service,
                                          sensor_msgs::Image&, sensor_msgs::CameraInfo&),
                             const boost::shared_ptr<T>& obj)
 {
-  return advertise(nh, service, boost::bind(fp, obj.get(), _1, _2, _3, _4), obj);
+  return advertise(nh, service, boost::bind(fp, obj.get(), boost::placeholders::_1, boost::placeholders::_2, boost::placeholders::_3, boost::placeholders::_4), obj);
 }
 
 } //namespace polled_camera
diff --git a/polled_camera/src/publication_server.cpp b/polled_camera/src/publication_server.cpp
index 99097ea..77f0265 100644
--- a/polled_camera/src/publication_server.cpp
+++ b/polled_camera/src/publication_server.cpp
@@ -86,7 +86,7 @@ public:
     if (!pub) {
       // Create a latching camera publisher.
       pub = it_.advertiseCamera(image_topic, 1, image_transport::SubscriberStatusCallback(),
-                                boost::bind(&Impl::disconnectCallback, this, _1),
+                                boost::bind(&Impl::disconnectCallback, this, boost::placeholders::_1),
                                 ros::SubscriberStatusCallback(), ros::SubscriberStatusCallback(),
                                 ros::VoidPtr(), true /*latch*/);
       ROS_INFO("Advertising %s", pub.getTopic().c_str());
